Subject: bug#26522: gnu: Add adb

From: Marius Bakke <[email-masked]>
Date: Mon, 17 Apr 2017 17:09:04 +0200

Julien Lepiller <[email-masked]> writes:

> Le Sun, 16 Apr 2017 23:54:47 +0200,
> Marius Bakke <[email-masked]> a écrit :
>
>> Julien Lepiller <[email-masked]> writes:
>> 
>> > Hi Marius,
>> >
>> > thanks for the quick review. This should fix your comments.
>> 
>> Great! One thing I overlooked last time was the patches. It would be
>> good to include the origin in URL form, so we can dig them out later.
>> 
>> The arch patch shouldn't be too hard to find (but URL would be
>> convenient!), I'm curious where the other patch comes from.
>> 
>> Patches tend to evolve over time, so checking what happened "upstream"
>> can be handy when you're stumped. See e.g. any CVE patch for
>> examples :)
>> 
>> Other than that looks good!
>
> Here is an updated patch with a link to archlinux' patch. You were the
> one to add the other patch, and I can't find it. I'm also curious where
> it comes from :p

Hehe...I deliberately did not add a reference just to prove this point!

...but I remember now, it is this commit, which I don't think will hit a
release until Android 8 if I've understood their branching correctly:

https://android.googlesource.com/platform/system/core/+/e5dd71a290f664d3f3bf0dd8a4bad411dc7ad416

Please add it and push! :D